petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetUseNatural

Set the flag for creating a mapping to the natural order on distribution

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetUseNatural(DM dm, PetscBool useNatural)

Collective on dm

### Input Parameters

| dm | - The DM
| useNatural | - The flag to build the mapping to a natural order during distribution

### See Also

DMGetUseNatural(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages